Bug 168669 - disabled entry menu seems more important and active in dark theme
Summary: disabled entry menu seems more important and active in dark theme
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Usability-Menus (show other bugs)
Version: 0.9.4
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-07 22:26 UTC by Maxime Delorme
Modified: 2017-08-02 21:09 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.0.0


Attachments
screenshot of menu in dark theme (22.76 KB, image/png)
2008-08-07 22:29 UTC, Maxime Delorme
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maxime Delorme 2008-08-07 22:26:45 UTC
Version:           0.9.4 (using KDE 3.5.9)
Installed from:    SuSE RPMs

When dark theme are selected, disabled entries in menu and contextual menu seems active on more important
because the font uses for disabled entrie in light-grey with light shadow
Comment 1 Maxime Delorme 2008-08-07 22:29:25 UTC
Created attachment 26726 [details]
screenshot of menu in dark theme
Comment 2 Andi Clemens 2009-09-28 15:12:55 UTC
I think this is better in KDE4 and Oxygen, but now the disabled entries are not highlighted at all. You barely see the difference.
Comment 3 Andi Clemens 2009-09-28 15:17:54 UTC
Look here:
http://farm3.static.flickr.com/2576/3961874653_09f432f153_o.jpg
Comment 4 caulier.gilles 2011-04-07 14:11:00 UTC
Git commit e55f3d748f461f2f1ac956995d644de658200a4a by Gilles Caulier.
Committed on 07/04/2011 at 14:11.
Pushed by cgilles into branch 'master'.

port digiKam theme engine to KDE color Theme engine.
Now, there is no mix between digiKam color engine and KDE theme used in background.
Benefits : we can donload new color theme scheme from KDE control center and apply it to digiKam as well,
independently of the rest of KDE.

To end users : I don't tested under Gnome. Please give me a feedback...

BUGS: 257803
BUGS: 250265
BUGS: 220068
BUGS: 241116
BUGS: 252700
BUGS: 168669
CCBUGS: 265554

M  +0    -1    data/CMakeLists.txt     
D  +0    -74   data/themes/Blue     
D  +0    -15   data/themes/CMakeLists.txt     
D  +0    -75   data/themes/Clean     
D  +0    -75   data/themes/DLR     
D  +0    -74   data/themes/Dark     
D  +0    -78   data/themes/DarkRoom     
D  +0    -63   data/themes/Dessert     
D  +0    -75   data/themes/Digikasa     
D  +0    -75   data/themes/Dreary     
D  +0    -63   data/themes/Gray     
D  +0    -75   data/themes/Marine     
D  +0    -75   data/themes/OrangeCrush     
D  +0    -62   data/themes/Rose     
D  +0    -75   data/themes/Sandy     
M  +13   -40   digikam/main/digikamapp.cpp     
M  +1    -3    digikam/main/digikamapp.h     
M  +0    -3    digikam/main/digikamapp_p.h     
M  +1    -5    libs/themeengine/theme.cpp     
M  +1    -4    libs/themeengine/theme.h     
M  +198  -1187 libs/themeengine/themeengine.cpp     
M  +16   -15   libs/themeengine/themeengine.h     
M  +6    -5    showfoto/main/showfoto.cpp     
M  +1    -29   utilities/cameragui/main/cameraui.cpp     
M  +0    -3    utilities/cameragui/main/cameraui.h     
M  +0    -3    utilities/cameragui/main/cameraui_p.h     
M  +1    -43   utilities/imageeditor/editor/editorwindow.cpp     
M  +0    -6    utilities/imageeditor/editor/editorwindow.h     
M  +0    -12   utilities/imageeditor/editor/imagewindow.cpp     
M  +0    -2    utilities/imageeditor/editor/imagewindow.h     
M  +1    -32   utilities/lighttable/lighttablewindow.cpp     
M  +0    -3    utilities/lighttable/lighttablewindow.h     
M  +0    -3    utilities/lighttable/lighttablewindow_p.h     
M  +1    -32   utilities/queuemanager/main/queuemgrwindow.cpp     
M  +0    -3    utilities/queuemanager/main/queuemgrwindow.h     
M  +0    -3    utilities/queuemanager/main/queuemgrwindow_p.h     

http://commits.kde.org/digikam/e55f3d748f461f2f1ac956995d644de658200a4a
Comment 5 caulier.gilles 2016-05-30 18:57:13 UTC
Git commit 4837b2773846c7c32e947d3b1b8b706275731b95 by Gilles Caulier.
Committed on 30/05/2016 at 18:54.
Pushed by cgilles into branch 'master'.

Dispatch colors theme properly to widget style manager for main windows
Related: bug 172632, bug 241116, bug 146938, bug 265554, bug 240148, bug 252700, bug 179898, bug 220068
FIXED-IN: 5.0.0

M  +2    -1    libs/widgets/mainview/thememanager.cpp

http://commits.kde.org/digikam/4837b2773846c7c32e947d3b1b8b706275731b95